Package org.wso2.carbon.registry.admin.api.governance

## Interface IManageServicesService

- All Known Subinterfaces:
    `IConfigureServiceUIService`

      public interface IManageServicesService

  This provides functionality to manage services stored on the repository. The content of the service managed, depends on the configuration of the service user interface which can be defined through `IConfigureServiceUIService`.
  Statistics:
  - addService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `addService​(String info)` | Method to add a new service to the repository.
    `boolean` | `canChange​(String path)` | Method to determine whether the given user can make changes to a service at the given resource path.
    `String` | `editService​(String name)` | Method to obtain the content of the service by the given name for editing.
    `String` | `getServiceConfiguration()` | Method to obtain the service configuration.
    `String` | `getServicePath()` | Method to obtain the path at which services are stored on the repository.
    `boolean` | `saveServiceConfiguration​(String content)` | Method to update the service configuration of a service

- - ### Method Detail

    - #### canChange

          boolean canChange​(String path)
                     throws Exception

      Method to determine whether the given user can make changes to a service at the given resource path.
      Parameters:
        `path` - the resource path.
      Returns:
        true if the resource at the given path can be changed.
      Throws:
        `Exception` - if the operation failed due to an unexpected error.

    - #### addService

          String addService​(String info)
                     throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to add a new service to the repository.
      Parameters:
        `info` - the service details that will be added.
      Returns:
        the path of the service..
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed due to an unexpected error.

    - #### editService

          String editService​(String name)
                      throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to obtain the content of the service by the given name for editing.
      Parameters:
        `name` - the name of the service to edit.
      Returns:
        the content of the service resource.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### getServicePath

          String getServicePath()
                         throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to obtain the path at which services are stored on the repository.
      Returns:
        the path at which services are stored.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### getServiceConfiguration

          String getServiceConfiguration()
                                  throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to obtain the service configuration.
      Returns:
        the string config of the service
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### saveServiceConfiguration

          boolean saveServiceConfiguration​(String content)
                                    throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to update the service configuration of a service
      Parameters:
        `content` - the content of the config
      Returns:
        a boolean value
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.